unit DetalhesComissao;

interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TelaComum, StdCtrls, ExtCtrls, Buttons, IB_Controls, Mask,
  ImgList, IB_EditButton, System.ImageList;

type
  TfrmDetalhesComissao = class(TfrmTelaComum)
    IB_Edit1: TIB_Edit;
    IB_Memo1: TIB_Memo;
    procedure BtGravarClick(Sender: TObject);
    procedure IB_Memo1KeyPress(Sender: TObject; var Key: Char);
  private
    procedure BtCancelarClick(Sender: TObject);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDetalhesComissao: TfrmDetalhesComissao;

implementation

uses Pedidos;

{$R *.dfm}

procedure TfrmDetalhesComissao.BtGravarClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TfrmDetalhesComissao.BtCancelarClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TfrmDetalhesComissao.IB_Memo1KeyPress(Sender: TObject;
  var Key: Char);
begin
  inherited;
  Key:= Upcase(Key);
end;

end.
